# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Enum DocumentListEntry.MediaType

    java.lang.Object
      java.lang.Enum<DocumentListEntry.MediaType>
          com.google.gdata.data.docs.DocumentListEntry.MediaType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DocumentListEntry.MediaType>

Enclosing class:
  DocumentListEntry

    public static enum DocumentListEntry.MediaType

extends java.lang.Enum<DocumentListEntry.MediaType>

Represents the MIME types supported by the doclist GData feed

Enum Constant Summary
`BMP`
`CSV`
`DOC`
`DOCX`
`GIF`
`HTM`
`HTML`
`JPEG`
`JPG`
`ODS`
`ODT`
`PDF`
`PNG`
`PPS`
`PPT`
`RTF`
`SWF`
`SXW`
`TAB`
`TSV`
`TXT`
`XLS`
`XLSX`
`ZIP`

Method Summary
`static DocumentListEntry.MediaType` `fromFileName(java.lang.String fileName)`
`java.lang.String` `getMimeType()`
`static DocumentListEntry.MediaType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DocumentListEntry.MediaType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JPG

    public static final DocumentListEntry.MediaType JPG

### JPEG

    public static final DocumentListEntry.MediaType JPEG

### PNG

    public static final DocumentListEntry.MediaType PNG

### BMP

    public static final DocumentListEntry.MediaType BMP

### GIF

    public static final DocumentListEntry.MediaType GIF

### TXT

    public static final DocumentListEntry.MediaType TXT

### HTML

    public static final DocumentListEntry.MediaType HTML

### HTM

    public static final DocumentListEntry.MediaType HTM

### ODT

    public static final DocumentListEntry.MediaType ODT

### SXW

    public static final DocumentListEntry.MediaType SXW

### DOC

    public static final DocumentListEntry.MediaType DOC

### DOCX

    public static final DocumentListEntry.MediaType DOCX

### RTF

    public static final DocumentListEntry.MediaType RTF

### PDF

    public static final DocumentListEntry.MediaType PDF

### PPS

    public static final DocumentListEntry.MediaType PPS

### PPT

    public static final DocumentListEntry.MediaType PPT

### XLS

    public static final DocumentListEntry.MediaType XLS

### XLSX

    public static final DocumentListEntry.MediaType XLSX

### ODS

    public static final DocumentListEntry.MediaType ODS

### CSV

    public static final DocumentListEntry.MediaType CSV

### TAB

    public static final DocumentListEntry.MediaType TAB

### TSV

    public static final DocumentListEntry.MediaType TSV

### SWF

    public static final DocumentListEntry.MediaType SWF

### ZIP

    public static final DocumentListEntry.MediaType ZIP

Method Detail

### values

    public static DocumentListEntry.MediaType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DocumentListEntry.MediaType c : DocumentListEntry.MediaType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DocumentListEntry.MediaType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getMimeType

    public java.lang.String getMimeType()

### fromFileName

    public static DocumentListEntry.MediaType fromFileName(java.lang.String fileName)